//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Sample/StandardSamples/TwoDimLatticeBuilder.h
//! @brief     Defines class IsGISAXS06Builder.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifdef SWIG
#error no need to expose this header to Swig
#endif // SWIG
#ifndef BORNAGAIN_SAMPLE_STANDARDSAMPLES_TWODIMLATTICEBUILDER_H
#define BORNAGAIN_SAMPLE_STANDARDSAMPLES_TWODIMLATTICEBUILDER_H

class MultiLayer;


//! Builds sample: 2D lattice with arbitrary angle and different lattice length_1 and length_2.

namespace ExemplarySamples {

MultiLayer* createBasic2DLattice();

} // namespace ExemplarySamples

//! Builds sample: 2D lattice with different disorder (IsGISAXS example #6).

namespace ExemplarySamples {

MultiLayer* createSquareLattice2D();

} // namespace ExemplarySamples

//! Builds sample: 2D lattice with different disorder (IsGISAXS example #6).

namespace ExemplarySamples {

MultiLayer* createCenteredSquareLattice2D();

} // namespace ExemplarySamples

//! Builds sample: 2D lattice with different disorder (IsGISAXS example #6).

namespace ExemplarySamples {

MultiLayer* createRotatedSquareLattice2D();

} // namespace ExemplarySamples

//! Builds sample: 2D finite lattice with thermal disorder.

namespace ExemplarySamples {

MultiLayer* createFiniteSquareLattice2D();

} // namespace ExemplarySamples

//! Builds sample: 2D finite lattice of 2D finite lattices (superlattice).

namespace ExemplarySamples {

MultiLayer* createSuperLattice();

} // namespace ExemplarySamples

#endif // BORNAGAIN_SAMPLE_STANDARDSAMPLES_TWODIMLATTICEBUILDER_H
